| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::interprocess::cached_adaptive_pool<T, detail::shared_adaptive_node_pool< SegmentManager, sizeof_value< T >::value, NodesPerBlock, MaxFreeBlocks, OverheadPercent >, 2>::rebind

## Synopsis

    // In header: <boost/interprocess/allocators/cached_adaptive_pool.hpp>

    template<typename T2>
    struct rebind {
      // types
      typedef cached_adaptive_pool< T2, SegmentManager, NodesPerBlock, MaxFreeBlocks, OverheadPercent > other;
    };

## Description

Obtains cached_adaptive_pool from cached_adaptive_pool